lkml.org 
[lkml]   [2018]   [Jan]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: [PATCH] staging: unisys: change select to depends for subsystems
From
Date
On 01/15/18 06:54, Greg Kroah-Hartman wrote:
> On Sun, Jan 14, 2018 at 09:10:54PM -0800, Randy Dunlap wrote:
>> From: Randy Dunlap <rdunlap@infradead.org>
>>
>> Drivers should not 'select' a subsystem. Instead they should depend
>> on it. If the subsystem is disabled, the user probably did that for
>> a purpose and one driver shouldn't be changing that.
>>
>> Signed-off-by: Randy Dunlap <rdunlap@infradead.org>
>> Cc: David Kershner <david.kershner@unisys.com>
>> Cc: sparmaintainer@unisys.com (Unisys internal)
>> Cc: devel@driverdev.osuosl.org
>> Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
>> ---
>> drivers/staging/unisys/Kconfig | 3 +--
>> 1 file changed, 1 insertion(+), 2 deletions(-)
>>
>> --- lnx-415-rc8.orig/drivers/staging/unisys/Kconfig
>> +++ lnx-415-rc8/drivers/staging/unisys/Kconfig
>> @@ -4,8 +4,7 @@
>> menuconfig UNISYSSPAR
>> bool "Unisys SPAR driver support"
>> depends on X86_64 && !UML
>> - select PCI
>> - select ACPI
>> + depends on PCI && ACPI
>> ---help---
>> Support for the Unisys SPAR drivers
>>
>
> Does not apply to my tree at all :(

Bad Randy. Patch is not needed... which is good.


--
~Randy

\
 
 \ /
  Last update: 2018-01-15 19:52    [W:0.045 / U:2.760 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site